版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2021-12-05|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 设备服务接口
### 查询设备列表
**URL:** http://localhost:8080/m/device/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询设备

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键ID，主键，自增长|否|-
└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|否|-
└─deviceCode|String|设备编码|否|-
└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|否|-
└─deviceMac|String|设备的MAC地址|否|-
└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|否|-
└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|否|-
└─deviceToRoomId|Long|设备所属房间ID|否|-
└─deviceToRoomName|String|设备所属房间名称|否|-
└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|否|-
└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|否|-
└─deviceRemark|String|备注|否|-
└─onlineTime|Date|最近上线时间|否|-
└─offlineTime|Date|最近离线时间|否|-
└─createUserId|Long|创建用户|否|-
└─createTime|Date|创建时间|否|-
└─updateUserId|Long|更新用户|否|-
└─updateTime|Date|更新时间|否|-
└─idStart|Long|大于 > 主键ID，主键，自增长|否|-
└─idEnd|Long|小于 < 主键ID，主键，自增长|否|-
└─idList|array|主键ID，主键，自增长列表|否|-
└─deviceNameList|array|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。列表|否|-
└─deviceCodeList|array|设备编码列表|否|-
└─deviceTypeStart|Integer|大于 > 设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|否|-
└─deviceTypeEnd|Integer|小于 < 设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|否|-
└─deviceTypeList|array|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）列表|否|-
└─deviceMacList|array|设备的MAC地址列表|否|-
└─deviceFirmIdStart|Long|大于 > 设备生产厂商ID关联mortals_xhx_stp_firm|否|-
└─deviceFirmIdEnd|Long|小于 < 设备生产厂商ID关联mortals_xhx_stp_firm|否|-
└─deviceFirmIdList|array|设备生产厂商ID关联mortals_xhx_stp_firm列表|否|-
└─deviceFirmnameList|array|设备生产厂商名称关联mortals_xhx_stp_firm列表|否|-
└─deviceToRoomIdStart|Long|大于 > 设备所属房间ID|否|-
└─deviceToRoomIdEnd|Long|小于 < 设备所属房间ID|否|-
└─deviceToRoomIdList|array|设备所属房间ID列表|否|-
└─deviceToRoomNameList|array|设备所属房间名称列表|否|-
└─deviceOnlineStatusStart|Integer|大于 > 在线状态 (0.离线，1.在线)|否|-
└─deviceOnlineStatusEnd|Integer|小于 < 在线状态 (0.离线，1.在线)|否|-
└─deviceOnlineStatusList|array|在线状态 (0.离线，1.在线)列表|否|-
└─deviceStatusStart|Integer|大于 > 启用状态 (0.停止，1.启用，2.测试)|否|-
└─deviceStatusEnd|Integer|小于 < 启用状态 (0.停止，1.启用，2.测试)|否|-
└─deviceStatusList|array|启用状态 (0.停止，1.启用，2.测试)列表|否|-
└─deviceRemarkList|array|备注列表|否|-
└─onlineTimeStart|Date|大于 > 最近上线时间|否|-
└─onlineTimeEnd|Date|小于 < 最近上线时间|否|-
└─offlineTimeStart|Date|大于 > 最近离线时间|否|-
└─offlineTimeEnd|Date|小于 < 最近离线时间|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─updateUserIdStart|Long|大于 > 更新用户|否|-
└─updateUserIdEnd|Long|小于 < 更新用户|否|-
└─updateUserIdList|array|更新用户列表|否|-
└─updateTimeStart|Date|大于 > 更新时间|否|-
└─updateTimeEnd|Date|小于 < 更新时间|否|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceCode|String|设备编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceMac|String|设备的MAC地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomId|Long|设备所属房间ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomName|String|设备所属房间名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineTime|Date|最近上线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─offlineTime|Date|最近离线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|object|字典属性对象，详见附录|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑设备
**URL:** http://localhost:8080/m/device/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑设备，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceCode|String|设备编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceMac|String|设备的MAC地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomId|Long|设备所属房间ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomName|String|设备所属房间名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineTime|Date|最近上线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─offlineTime|Date|最近离线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新设备
**URL:** http://localhost:8080/m/device/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新设备：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|是|-
└─deviceCode|String|设备编码|是|-
└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|是|-
└─deviceMac|String|设备的MAC地址|是|-
└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|是|-
└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|是|-
└─deviceToRoomId|Long|设备所属房间ID|是|-
└─deviceToRoomName|String|设备所属房间名称|是|-
└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|是|-
└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|是|-
└─deviceRemark|String|备注|是|-
└─onlineTime|Date|最近上线时间|是|-
└─offlineTime|Date|最近离线时间|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceCode|String|设备编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceMac|String|设备的MAC地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomId|Long|设备所属房间ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomName|String|设备所属房间名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineTime|Date|最近上线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─offlineTime|Date|最近离线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|object|字典属性对象想，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|object|字典属性对象想，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看设备
**URL:** http://localhost:8080/m/device/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看设备，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|String|设备名称，支持英文字母、数字、短划线（-）、下划线（_）、at（@）、英文句号（.）和英文冒号（:），长度限制为4~20个字符。|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceCode|String|设备编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|Integer|设备类型（1.引导查询机，2.电子门牌, 3.LED大屏，4.集中显示屏, 5.PAD，6.打印机, 7.电脑，8.服务器, 9.其他）|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceMac|String|设备的MAC地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmId|Long|设备生产厂商ID关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceFirmname|String|设备生产厂商名称关联mortals_xhx_stp_firm|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomId|Long|设备所属房间ID|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceToRoomName|String|设备所属房间名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|Integer|在线状态 (0.离线，1.在线)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|Integer|启用状态 (0.停止，1.启用，2.测试)|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─onlineTime|Date|最近上线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─offlineTime|Date|最近离线时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceType|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceOnlineStatus|object|字典属性对象，详见附录|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceStatus|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除设备
**URL:** http://localhost:8080/m/device/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除设备

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 设备导入模板下载
**URL:** http://localhost:8081/m/device/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 设备导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/device/downloadTemplate
```

**Response-example:**
```
...
```

### 导入设备
**URL:** http://localhost:8081/m/device/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入设备

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/device/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```



## 设备生产厂商服务接口
### 查询设备生产厂商列表
**URL:** http://localhost:8080/m/firm/list

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询设备生产厂商

**Query-parameters:**

参数名称|类型|备注|必填|其它
    ---|---|---|---|---
pageInfo|object|分页对象|否|-
└─beginIndex|Integer|开始记录序号|否|-
└─prePageResult|Integer|每页条数|否|-
└─totalResult|Integer|总条数|否|-
└─totalPage|Integer|总页数|否|-
└─currPage|Integer|当前页|否|-
└─displayPageSize|Integer|显示页数量|否|-
└─hasNextPage|Boolean|是否有下一页|否|-
└─hasPrePage|Boolean|是否有前一页|否|-
└─lastRecordKey|String|最后一条|否|-
└─countPage|Boolean|是否计算总页数|否|-
query|object|查询对象|否|-
└─id|Long|主键ID，主键，自增长|否|-
└─firmName|String|设备生产厂商名称|否|-
└─firmCode|String|设备生产商编码|否|-
└─firmRemark|String|备注|否|-
└─createUserId|Long|创建用户|否|-
└─createTime|Date|创建时间|否|-
└─updateUserId|Long|更新用户|否|-
└─updateTime|Date|更新时间|否|-
└─idStart|Long|大于 > 主键ID，主键，自增长|否|-
└─idEnd|Long|小于 < 主键ID，主键，自增长|否|-
└─idList|array|主键ID，主键，自增长列表|否|-
└─firmNameList|array|设备生产厂商名称列表|否|-
└─firmCodeList|array|设备生产商编码列表|否|-
└─firmRemarkList|array|备注列表|否|-
└─createUserIdStart|Long|大于 > 创建用户|否|-
└─createUserIdEnd|Long|小于 < 创建用户|否|-
└─createUserIdList|array|创建用户列表|否|-
└─createTimeStart|Date|大于 > 创建时间|否|-
└─createTimeEnd|Date|小于 < 创建时间|否|-
└─updateUserIdStart|Long|大于 > 更新用户|否|-
└─updateUserIdEnd|Long|小于 < 更新用户|否|-
└─updateUserIdList|array|更新用户列表|否|-
└─updateTimeStart|Date|大于 > 更新时间|否|-
└─updateTimeEnd|Date|小于 < 更新时间|否|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─result|array|结果集列表|数组
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmName|String|设备生产厂商名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmCode|String|设备生产商编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─pageInfo|object|分页对象|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─beginIndex|Integer|开始记录序号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─prePageResult|Integer|每页条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalResult|Integer|总条数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPage|Integer|总页数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─currPage|Integer|当前页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─displayPageSize|Integer|显示页数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasNextPage|Boolean|是否有下一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hasPrePage|Boolean|是否有前一页|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─lastRecordKey|String|最后一条|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─countPage|Boolean|是否计算总页数|-
└─dict|object|字典对象|-
└─query|object|查询时候返回的查询列表参数对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "result":[
            {
                "appId":6,
                "businessName":"device",
            }
        ],
        "pageInfo":{
            "currPage":1,
            "prePageResult":200,
            "totalPage":1,
            "totalResult":16
        },
        "dict":{
            "dividedTableType":{
                "0":"无",
                "1":"日"
            }
        }
    },
    "query":{
        "appId":6
    }
}
```

### 编辑设备生产厂商
**URL:** http://localhost:8080/m/firm/edit

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 编辑设备生产厂商，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmName|String|设备生产厂商名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmCode|String|设备生产商编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 保存更新设备生产厂商
**URL:** http://localhost:8080/m/firm/save

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 保存或更新设备生产厂商：id为空时为新增保存，否则为更新提交

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
entity|object|实体对象|是|-
└─firmName|String|设备生产厂商名称|是|-
└─firmCode|String|设备生产商编码|是|-
└─firmRemark|String|备注|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|保存实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmName|String|设备生产厂商名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmCode|String|设备生产商编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "msg":"成功",
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 查看设备生产厂商
**URL:** http://localhost:8080/m/firm/view

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查看设备生产厂商，返回实例详细信息

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
└─entity|object|对象实体|对象
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|Long|主键ID，主键，自增长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmName|String|设备生产厂商名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmCode|String|设备生产商编码|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firmRemark|String|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createUserId|Long|创建用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|Date|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateUserId|Long|更新用户|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|Date|更新时间|-
└─dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "dict":{
            "interimExcuteStatus":{
                "0":"未启用",
                "1":"立即执行并保留"
            }
        },
        "entity":{
            "createTime":1628737643000,
            "createUserId":1,
            "createUserName":"系统管理员",
            "excuteDate":0
        }
    }
}
```

### 删除设备生产厂商
**URL:** http://localhost:8080/m/firm/delete

**Type:** POST

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除设备生产厂商

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|array|实例主键ID，数组形式|是|-

**请求样例:**
```
...
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（0.失败，1.成功）|-
msg|String|消息|-



**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"

}
```

### 设备生产厂商导入模板下载
**URL:** http://localhost:8081/m/firm/downloadTemplate

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 设备生产厂商导入模板下载

**Request-example:**
```
curl -X POST -i http://localhost:8081/m/firm/downloadTemplate
```

**Response-example:**
```
...
```

### 导入设备生产厂商
**URL:** http://localhost:8081/m/firm/importData

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 导入设备生产厂商

**Query-parameters:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:8081/m/firm/importData --data 'updateSupport=true'
```

**Response-example:**
```
...
```


###deviceType字典
字典参数key|字典参数值|其它
---|---|---
1|引导查询机
2|电子门牌
 3|LED大屏
4|集中显示屏
 5|PAD
6|打印机
 7|电脑
8|服务器
 9|其他
 
###deviceOnlineStatus字典
字典参数key|字典参数值|其它
---|---|---
0|离线
1|在线

###deviceStatus字典
字典参数key|字典参数值|其它
---|---|---
0|停止
1|启用
2|测试





